Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.index
Class TestCaseResultDocument

    java.lang.Object
      com.atlassian.bamboo.index.TestCaseResultDocument

All Implemented Interfaces:
  TestCaseResult, ResultStatisticsProvider

    public class TestCaseResultDocument

extends Object
implements TestCaseResult

Field Summary
`static String` | `DOCTYPE_TEST_CASE_RESULT`
`static String` | `FIELD_ACTUAL_METHOD_NAME`
`static String` | `FIELD_BUILD_ID`
`static String` | `FIELD_BUILD_NUMBER`
`static String` | `FIELD_CLASS_NAME`
`static String` | `FIELD_DELTA_STATE`
`static String` | `FIELD_DOC_TYPE`
`static String` | `FIELD_DURATION`
`static String` | `FIELD_ERRORS`
`static String` | `FIELD_METHOD_DESC`
`static String` | `FIELD_STATE`
`static String` | `FIELD_TEST_CASE_KEY`
`static String` | `FIELD_TIME_TO_FIX`
`static String` | `FIELD_TIMESTAMP`
`static String` | `FIELD_TIMESTAMP_DAY`

Constructor Summary
`TestCaseResultDocument(Document doc)`

Method Summary
`String` | `getActualMethodName()`
`Date` | `getBuildDate()`
`long` | `getBuildId()`
`int` | `getBuildNumber()`
`BuildState` | `getBuildState()`
`String` | `getClassName()`
`DeltaState` | `getDeltaState()`
`static Document` | `getDocument(TestCaseResultWrapper testCase)`
`double` | `getDurationInSeconds()`
`List` | `getErrors()`
`String` | `getKey()`
`String` | `getMethodName()`
`String` | `getShortClassName()`
`Long` | `getTimeToFix()`
`boolean` | `isFailed()`
`boolean` | `isSuccessful()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIELD_TEST_CASE_KEY

    public static final String FIELD_TEST_CASE_KEY

See Also:
  Constant Field Values

### FIELD_BUILD_NUMBER

    public static final String FIELD_BUILD_NUMBER

See Also:
  Constant Field Values

### FIELD_BUILD_ID

    public static final String FIELD_BUILD_ID

See Also:
  Constant Field Values

### FIELD_STATE

    public static final String FIELD_STATE

See Also:
  Constant Field Values

### FIELD_TIMESTAMP

    public static final String FIELD_TIMESTAMP

See Also:
  Constant Field Values

### FIELD_TIMESTAMP_DAY

    public static final String FIELD_TIMESTAMP_DAY

See Also:
  Constant Field Values

### FIELD_DOC_TYPE

    public static final String FIELD_DOC_TYPE

See Also:
  Constant Field Values

### FIELD_ACTUAL_METHOD_NAME

    public static final String FIELD_ACTUAL_METHOD_NAME

See Also:
  Constant Field Values

### FIELD_CLASS_NAME

    public static final String FIELD_CLASS_NAME

See Also:
  Constant Field Values

### FIELD_METHOD_DESC

    public static final String FIELD_METHOD_DESC

See Also:
  Constant Field Values

### FIELD_ERRORS

    public static final String FIELD_ERRORS

See Also:
  Constant Field Values

### DOCTYPE_TEST_CASE_RESULT

    public static final String DOCTYPE_TEST_CASE_RESULT

See Also:
  Constant Field Values

### FIELD_DURATION

    public static final String FIELD_DURATION

See Also:
  Constant Field Values

### FIELD_DELTA_STATE

    public static final String FIELD_DELTA_STATE

See Also:
  Constant Field Values

### FIELD_TIME_TO_FIX

    public static final String FIELD_TIME_TO_FIX

See Also:
  Constant Field Values

Constructor Detail

### TestCaseResultDocument

    public TestCaseResultDocument(Document doc)

Method Detail

### getDocument

    public static Document getDocument(TestCaseResultWrapper testCase)

### getBuildId

    public long getBuildId()

  Specified by:
    `getBuildId` in interface `TestCaseResult`

### getBuildState

    public BuildState getBuildState()

  Specified by:
    `getBuildState` in interface `ResultStatisticsProvider`

### getBuildNumber

    public int getBuildNumber()

  Specified by:
    `getBuildNumber` in interface `ResultStatisticsProvider`

### getKey

    public String getKey()

  Specified by:
    `getKey` in interface `TestCaseResult`

### getActualMethodName

    public String getActualMethodName()

  Specified by:
    `getActualMethodName` in interface `TestCaseResult`

### getMethodName

    public String getMethodName()

  Specified by:
    `getMethodName` in interface `TestCaseResult`

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `TestCaseResult`

### getShortClassName

    public String getShortClassName()

  Specified by:
    `getShortClassName` in interface `TestCaseResult`

### getErrors

    public List getErrors()

  Specified by:
    `getErrors` in interface `TestCaseResult`

### getDurationInSeconds

    public double getDurationInSeconds()

  Specified by:
    `getDurationInSeconds` in interface `ResultStatisticsProvider`

### getBuildDate

    public Date getBuildDate()

  Specified by:
    `getBuildDate` in interface `ResultStatisticsProvider`

### getDeltaState

    public DeltaState getDeltaState()

  Specified by:
    `getDeltaState` in interface `TestCaseResult`

### getTimeToFix

    public Long getTimeToFix()

  Specified by:
    `getTimeToFix` in interface `TestCaseResult`

### isFailed

    public boolean isFailed()

  Specified by:
    `isFailed` in interface `TestCaseResult`

### isSuccessful

    public boolean isSuccessful()

  Specified by:
    `isSuccessful` in interface `TestCaseResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.